# log4cpp::TriggeringEventEvaluator Class Reference

`#include <TriggeringEventEvaluator.hh>`

Inheritance diagram for log4cpp::TriggeringEventEvaluator:

[legend]
List of all members.

## Public Member Functions

virtual bool | eval (const LoggingEvent &event) const=0
virtual | ~TriggeringEventEvaluator ()

## Constructor & Destructor Documentation

virtual log4cpp::TriggeringEventEvaluator::~TriggeringEventEvaluator | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool log4cpp::TriggeringEventEvaluator::eval | ( | const LoggingEvent & | event | ) | const`[pure virtual]`

Implemented in log4cpp::LevelEvaluator.

The documentation for this class was generated from the following file:

- TriggeringEventEvaluator.hh